EndpointInfo (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.service.model, class: EndpointInfo

Package org.apache.cxf.service.model

# Class EndpointInfo

java.lang.Object
org.apache.cxf.service.model.AbstractPropertiesHolder
org.apache.cxf.service.model.AbstractDescriptionElement
org.apache.cxf.service.model.EndpointInfo

All Implemented Interfaces:
  `Extensible`, `NamedItem`

public class EndpointInfo extends AbstractDescriptionElement implements NamedItem
The EndpointInfo contains the information for a web service 'port' inside of a service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EndpointInfo()`
  `EndpointInfo(ServiceInfo serv, String ns)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `BindingInfo`
  `getBinding()`
  `DescriptionInfo`
  `getDescription()`
  `InterfaceInfo`
  `getInterface()`
  `QName`
  `getName()`
  `ServiceInfo`
  `getService()`
  `org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getTarget()`
  `String`
  `getTransportId()`
  `<T> T`
  `getTraversedExtensor(T defaultValue, Class<T> type)`
  Lookup a configuration value.
  `boolean`
  `isSameAs(EndpointInfo epInfo)`
  `void`
  `setAddress(String addr)`
  `void`
  `setAddress(org.apache.cxf.ws.addressing.EndpointReferenceType endpointReference)`
  `void`
  `setBinding(BindingInfo b)`
  `void`
  `setName(QName n)`
  `void`
  `setService(ServiceInfo s)`
  `void`
  `setTransportId(String tid)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

  `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EndpointInfo

    public EndpointInfo()

  - ### EndpointInfo

    public EndpointInfo(ServiceInfo serv, String ns)

- ## Method Details

  - ### getDescription

    public DescriptionInfo getDescription()
    Specified by:
      `getDescription` in class `AbstractDescriptionElement`

  - ### getTransportId

    public String getTransportId()

  - ### setTransportId

    public void setTransportId(String tid)

  - ### getInterface

    public InterfaceInfo getInterface()

  - ### setService

    public void setService(ServiceInfo s)

  - ### getService

    public ServiceInfo getService()

  - ### getName

    public QName getName()
    Specified by:
      `getName` in interface `NamedItem`

  - ### setName

    public void setName(QName n)

  - ### getBinding

    public BindingInfo getBinding()

  - ### setBinding

    public void setBinding(BindingInfo b)

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress(String addr)

  - ### setAddress

    public void setAddress(org.apache.cxf.ws.addressing.EndpointReferenceType endpointReference)

  - ### getTraversedExtensor

    public <T> T getTraversedExtensor(T defaultValue, Class<T> type)
    Description copied from class: `AbstractPropertiesHolder`
    Lookup a configuration value. This may be found in the properties holder supplied (i.e. an EndpointInfo or ServiceInfo), or it may be a property on the Bus itself. If no value is found, the defaultValue is returned.
    Overrides:
      `getTraversedExtensor` in class `AbstractPropertiesHolder`
    Parameters:
      `defaultValue` - the default value
      `type` - the extensor type
    Returns:
      the configuration value or the default

  - ### getTarget

    public org.apache.cxf.ws.addressing.EndpointReferenceType getTarget()

  - ### isSameAs

    public boolean isSameAs(EndpointInfo epInfo)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`